Task to run PhpDocumentor.

Use Project#createTask to register a new Task.

author | Hans Lellelid
author | Michiel Rook
version | $Id: 23a04ddae9cad46198e15081a0fb44354135b1c8 $
package | phing.tasks.ext.phpdoc
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## Creates a FileSet.

    createFileset() : \FileSet

### Returns

`\FileSet`

## Creates a readme/install/changelog fileset.

    createProjdocfileset() : \FileSet

### Returns

`\FileSet`

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

Inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

inherited_from | \Task::init()

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## Main entrypoint of the task Loads the necessary environment for running PhpDoc, then runs PhpDoc

    main()

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

### Exceptions

`\BuildException` | - if the phpdoc classes can't be loaded.

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## Set a directory to search for configuration files in.

    setConfigdir(\PhingFile $d)

### Parameters

#### $d

`\PhingFile`

## custom tags, will be recognized and put in tags[] instead of unknowntags[].

    setCustomtags(string $sCustomtags)

### Parameters

#### $sCustomtags

`string`

## Sets the default category name.

    setDefaultcategoryname(string $name)

### Parameters

#### $name

`string`

## Sets the default package name.

    setDefaultpackagename(string $name)

### Parameters

#### $name

`string`

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## Set the destination directory for the generated documentation

    setDestdir(\PhingFile $destdir)

### Parameters

#### $destdir

## Set a directory to search for examples in.

    setExamplesdir(\PhingFile $d)

### Parameters

#### $d

`\PhingFile`

## Set files to ignore

    setIgnore(string $sIgnore)

### Parameters

#### $sIgnore

`string`

## Set (comma-separated) list of tags to ignore.

    setIgnoretags(string $tags)

### Parameters

#### $tags

`string`

## Whether to use javadoc descriptions (more primitive).

    setJavadocdesc(boolean $javadoc)

### Parameters

#### $javadoc

`boolean`

## Set whether to generate sourcecode for each file parsed

    setLinksource(boolean $b)

### Parameters

#### $b

`boolean`

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Set the output format (e.g.

    setOutput(string $output)

HTML:Smarty:PHP).

### Parameters

#### $output

`string`

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## Set (comma-separated) list of packages to output.

    setPackageoutput(string $packages)

### Parameters

#### $packages

`string`

## Should private members/classes be documented

    setParseprivate(boolean $parseprivate)

### Parameters

#### $parseprivate

`boolean`

## Set whether to parse as PEAR repository.

    setPear(boolean $b)

### Parameters

#### $b

`boolean`

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Set whether to suppress output.

    setQuiet(boolean $b)

### Parameters

#### $b

`boolean`

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Set whether to generate sourcecode for each file parsed

    setSourcecode(boolean $b)

### Parameters

#### $b

`boolean`

## Alias for {@link setDestdir()}.

    setTarget(\PhingFile $destdir)

see | \global\setDestdir()

### Parameters

#### $destdir

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## Set base location of all templates for this parse.

    setTemplateBase(\PhingFile $oTemplateBase)

### Parameters

#### $oTemplateBase

## Set the title for the generated documentation

    setTitle($title)

### Parameters

#### $title

## Control whether or not warnings will be shown for undocumented elements.

    setUndocumentedelements(boolean $b)

Useful for identifying classes and methods that haven't yet been documented.

### Parameters

#### $b

`boolean`

## Searches include_path for PhpDocumentor install and adjusts include_path appropriately.

    findPhpDocumentorInstall()

### Exceptions

`\BuildException` | - if unable to find PhpDocumentor on include_path

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

## Sets the options on the passed-in phpdoc setup object.

    setPhpDocumentorOptions(\PhingPhpDocumentorSetup $phpdoc)

### Parameters

#### $phpdoc

`\PhingPhpDocumentorSetup`

## Validates that necessary minimum options have been set.

    validate()

### Exceptions

`\BuildException` | if validation doesn't pass

### Properties

## Directory in which to look for configuration files.

    $configDir : \PhingFile

## custom tags, will be recognized and put in tags[] instead of unknowntags[].

    $customtags : string

## Default category name.

    $defaultCategoryName : string

## Default package name.

    $defaultPackageName : string

##

    $description : string

Inherited

inherited_from | \Task::$$description

## The target directory for output files.

    $destdir : \PhingFile

## Directory in which to look for examples.

    $examplesDir : \PhingFile

## FileSet[] Filesets for files to parse.

    $filesets : array

## files to ignore

    $ignore : string

## Comma-separated list of tags to ignore.

    $ignoreTags : string

## Whether to use javadoc descriptions (more primitive).

    $javadocDesc : boolean

## Whether to generate sourcecode for each file parsed.

    $linksource : boolean

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

## Package output format.

    $output : string

## Comma-separated list of packages to output.

    $packages : string

## Whether to parse private members.

    $parsePrivate : boolean

## Whether to parse as a PEAR repository.

    $pear : boolean

## FileSet[] Project documentation (README/INSTALL/CHANGELOG) files.

    $projDocFilesets : array

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

## Wheter to suppress output.

    $quiet : boolean

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

## Base directory for locating template files.

    $templateBase : \PhingFile

## Title for browser window / package index.

    $title : string

## Control whether or not warnings will be shown for undocumented elements. Useful for identifying classes and methods that haven't yet been documented.

    $undocumentedelements : boolean

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper